pkgsrc-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[pkgsrc/trunk]: pkgsrc/mk/bulk Revert the change in 1.77, which does not work...



details:   https://anonhg.NetBSD.org/pkgsrc/rev/53bfee375856
branches:  trunk
changeset: 503326:53bfee375856
user:      agc <agc%pkgsrc.org@localhost>
date:      Fri Nov 18 11:43:25 2005 +0000

description:
Revert the change in 1.77, which does not work correctly.

However, this does not help people who are doing bulk builds
in sandboxes via read-only nullfs mounts.

A correct, long-term solution to this needs to be found.

diffstat:

 mk/bulk/build |  26 +++++++++++---------------
 1 files changed, 11 insertions(+), 15 deletions(-)

diffs (41 lines):

diff -r 9f53d50381da -r 53bfee375856 mk/bulk/build
--- a/mk/bulk/build     Fri Nov 18 11:38:00 2005 +0000
+++ b/mk/bulk/build     Fri Nov 18 11:43:25 2005 +0000
@@ -1,5 +1,5 @@
 #!/bin/sh
-# $NetBSD: build,v 1.77 2005/11/18 08:58:12 agc Exp $
+# $NetBSD: build,v 1.78 2005/11/18 11:43:25 agc Exp $
 
 #
 # Copyright (c) 1999, 2000 Hubert Feyrer <hubertf%NetBSD.org@localhost>
@@ -215,20 +215,16 @@
 #
 # Check that the package tools are up to date.
 #
-if [ -f /sandbox -a -x /sandbox ]; then
-       echo "Building in a sandbox - using existing pkgtools"
-else
-       ( cd "${pkglint_dir}" \
-         && ${BMAKE} fetch >/dev/null 2>&1
-       ) || {
-               echo "Updating pkgtools"
-               ( cd "${pkgsrc_dir}/pkgtools/pkg_install" \
-                 && ${BMAKE} clean \
-                 && ${BMAKE} install \
-                 && ${BMAKE} clean
-               ) || die "Could not update the package tools."
-       }
-fi
+( cd "${pkglint_dir}" \
+  && ${BMAKE} fetch >/dev/null 2>&1
+) || {
+       echo "Updating pkgtools"
+       ( cd "${pkgsrc_dir}/pkgtools/pkg_install" \
+         && ${BMAKE} clean \
+         && ${BMAKE} install \
+         && ${BMAKE} clean
+       ) || die "Could not update the package tools."
+}
 
 #
 # Run the pre-build script if necessary.



Home | Main Index | Thread Index | Old Index